# synfigapp::UIInterface Class Reference

`#include <uimanager.h>`

Inheritance diagram for synfigapp::UIInterface:

List of all members.

## Public Types

enum | Response { RESPONSE_CANCEL = -1, RESPONSE_NO = 0, RESPONSE_YES = 1, RESPONSE_OK = 2 }

## Public Member Functions

virtual | ~UIInterface ()
virtual Response | confirmation (const std::string &title, const std::string &primaryText, const std::string &secondaryText, const std::string &confirmPhrase, const std::string &cancelPhrase, Response dflt=RESPONSE_OK)=0
virtual Response | yes_no (const std::string &title, const std::string &message, Response dflt=RESPONSE_YES)=0
virtual Response | yes_no_cancel (const std::string &title, const std::string &message, Response dflt=RESPONSE_YES)=0
virtual Response | ok_cancel (const std::string &title, const std::string &message, Response dflt=RESPONSE_OK)=0

## Member Enumeration Documentation

enum synfigapp::UIInterface::Response

Enumerator:

  RESPONSE_CANCEL |
  RESPONSE_NO |
  RESPONSE_YES |
  RESPONSE_OK |

## Constructor & Destructor Documentation

virtual synfigapp::UIInterface::~UIInterface | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual Response synfigapp::UIInterface::confirmation | ( | const std::string & | title,
|  | const std::string & | primaryText,
|  | const std::string & | secondaryText,
|  | const std::string & | confirmPhrase,
|  | const std::string & | cancelPhrase,
|  | Response | dflt = `RESPONSE_OK` |
| ) |  |  | `[pure virtual]`

Implemented in synfigapp::DefaultUIInterface, synfigapp::ConfidentUIInterface, and synfigapp::ConsoleUIInterface.

virtual Response synfigapp::UIInterface::yes_no | ( | const std::string & | title,
|  | const std::string & | message,
|  | Response | dflt = `RESPONSE_YES` |
| ) |  |  | `[pure virtual]`

Implemented in synfigapp::DefaultUIInterface, synfigapp::ConfidentUIInterface, and synfigapp::ConsoleUIInterface.

virtual Response synfigapp::UIInterface::yes_no_cancel | ( | const std::string & | title,
|  | const std::string & | message,
|  | Response | dflt = `RESPONSE_YES` |
| ) |  |  | `[pure virtual]`

Implemented in synfigapp::DefaultUIInterface, synfigapp::ConfidentUIInterface, and synfigapp::ConsoleUIInterface.

virtual Response synfigapp::UIInterface::ok_cancel | ( | const std::string & | title,
|  | const std::string & | message,
|  | Response | dflt = `RESPONSE_OK` |
| ) |  |  | `[pure virtual]`

Implemented in synfigapp::DefaultUIInterface, synfigapp::ConfidentUIInterface, and synfigapp::ConsoleUIInterface.

The documentation for this class was generated from the following file:

- uimanager.h